-- [D7]
-- Avertisment 1: nu executati scriptul pe un server folosit in productie 1
-- Avertisment 2: trebuie dezactivata afisarea planurilor de executie reale (Query > Include Actual Execution Plan) !
-- Avertisment 3: sunt necesari 1 GB spatiu liber pe discul unde sunt stocate fisierele BD
-- Query > Results to > Results to text (Ctrl + T)
SET STATISTICS IO ON;
SET NOCOUNT ON;
GO
PRINT	'[D7] Test 1'

SELECT	COUNT(*) AS Cnt
FROM	Sales.SalesOrderDetail d WITH(INDEX=1)

PRINT	'[D7] End of Test 1'
SET STATISTICS IO OFF;
GO
/*
-- Messages
[D7] Test 1
Table 'SalesOrderDetail'. Scan count 1, logical reads 1240, physical reads 0, read-ahead reads 5, lob logical reads 0, lob physical reads 0, lob read-ahead reads 0.
[D7] End of Test 1
*/

ALTER TABLE Sales.SalesOrderDetail
ADD Info XML;
GO
DISABLE TRIGGER iduSalesOrderDetail ON Sales.SalesOrderDetail
GO
UPDATE	TOP(50000)Sales.SalesOrderDetail
SET		Info=N'<root>
                Adventure Works CyclesFR-210B Instructions for Manufacturing HL Touring Frame. Summary: This document contains manufacturing instructions for manufacturing the HL Touring Frame, Product Model 7. Instructions are work center specific and are identified by Work Center ID. These instructions must be followed in the order presented. Deviation from the instructions is not permitted unless an authorized Change Order detailing the deviation is provided by the Engineering Manager.<Location LaborHours="2.5" LotSize="100" MachineHours="3" SetupHours="0.5" LocationID="10">
                    Work Center 10 - Frame Forming. The following instructions pertain to Work Center 10. (Setup hours = .5, Labor Hours = 2.5, Machine Hours = 3, Lot Sizing = 100)<step>
                        Insert <material>aluminum sheet MS-2341</material> into the <tool>T-85A framing tool</tool>.
                    </step><step>
                        When finished, inspect the forms for defects per Inspection Specification <specs>INFS-111</specs>.
                    </step><step>Remove the frames from the tool and place them in the Completed or Rejected bin as appropriate.</step></Location><Location LaborHours="1.75" LotSize="1" MachineHours="2" SetupHours="0.15" LocationID="20">
                    Work Center 20 - Frame Welding. The following instructions pertain to Work Center 20. (Setup hours = .15, Labor Hours = 1.75, Machine Hours = 2, Lot Sizing = 1)<step>
                        Assemble all frame components following blueprint <blueprint>1299</blueprint>.
                    </step></Location><Location LaborHours="0.5" LotSize="20" MachineHours="0.65" LocationID="45">
                    Work Center 45 - Specialized Paint. The following instructions pertain to Work Center 45. (Setup hours = 0, Labor Hours = .5, Machine Hours = .65, Lot Sizing = 20)<step>
                        Attach <material>a maximum of 20 frames</material> to <tool>paint harness</tool> ensuring frames are not touching.
                    </step><step>
                        Mix <material>primer PA-529S</material>. Test spray pattern on sample area and correct flow and pattern as required per engineering spec <specs>AWC-501</specs>.
                    </step><step>Apply thin coat of primer to all surfaces.  </step><step>After 30 minutes, touch test for dryness. If dry to touch, lightly sand all surfaces. Remove all surface debris with compressed air. </step><step>
                        Mix <material>paint</material> per manufacturer instructions.
                    </step><step>
                        Test spray pattern on sample area and correct flow and pattern as required per engineering spec <specs>AWC-509</specs>.
                    </step><step>Apply thin coat of paint to all surfaces. </step><step>After 60 minutes, touch test for dryness. If dry to touch, reapply second coat. </step><step>
                        Allow paint to cure for 24 hours and inspect per <specs>AWC-5015</specs>.
                    </step></Location><Location LaborHours="3" LotSize="1" SetupHours="0.25" LocationID="50">
                    Work Center 50 - SubAssembly. The following instructions pertain to Work Center 50. (Setup hours = .25, Labor Hours = 3, Machine Hours = 0, Lot Sizing = 1)<step>Add Seat Assembly. </step><step>Add Brake assembly.   </step><step>Add Wheel Assembly. </step><step>Inspect Front Derailleur. </step><step>Inspect Rear Derailleur. </step></Location><Location LaborHours="4" LotSize="1" LocationID="60">
                    Work Center 60 - Final Assembly. The following instructions pertain to Work Center 60. (Setup hours = 0, Labor Hours = 4, Machine Hours = 0, Lot Sizing = 1)<step>
                        Perform final inspection per engineering specification <specs>AWC-915</specs>.
                    </step><step>Complete all required certification forms.</step><step>Move to shipping.</step></Location></root>';
-- Vezi:http://msdn.microsoft.com/en-us/library/ms173530.aspx
GO
ENABLE TRIGGER iduSalesOrderDetail ON Sales.SalesOrderDetail
GO
ALTER TABLE Sales.SalesOrderDetail
REBUILD;
GO

SET STATISTICS IO ON;
SET NOCOUNT ON;
GO
PRINT	'[D7] Test 2'

SELECT	COUNT(*) AS Cnt
FROM	Sales.SalesOrderDetail d WITH(INDEX=1)

PRINT	'[D7] End of Test 2'
SET STATISTICS IO OFF;
GO
/*
-- Messages
[D7] Test 2
Table 'SalesOrderDetail'. Scan count 3, logical reads 136996, physical reads 1586, read-ahead reads 14664, lob logical reads 0, lob physical reads 0, lob read-ahead reads 0.
[D7] End of Test 2
*/
-- Explicatie:
SELECT	ips.page_count,*
FROM	sys.dm_db_index_physical_stats(DB_ID(),OBJECT_ID(N'Sales.SalesOrderDetail'),1,NULL,'DETAILED') ips
GO

EXEC sp_tableoption N'Sales.SalesOrderDetail','large value types out of row','ON';
GO
ALTER TABLE Sales.SalesOrderDetail
REBUILD;
GO
UPDATE	Sales.SalesOrderDetail
SET		Info=Info
WHERE	Info IS NOT NULL;
GO
ALTER TABLE Sales.SalesOrderDetail
REBUILD;
GO
ALTER TABLE Sales.SalesOrderDetail
REBUILD;
GO
SELECT	ips.page_count,*
FROM	sys.dm_db_index_physical_stats(DB_ID(),OBJECT_ID(N'Sales.SalesOrderDetail'),1,NULL,'DETAILED') ips
GO

SET STATISTICS IO ON;
SET NOCOUNT ON;
GO
PRINT	'[D7] Test 3'

SELECT	COUNT(*) AS Cnt
FROM	Sales.SalesOrderDetail d WITH(INDEX=PK_SalesOrderDetail_SalesOrderID_SalesOrderDetailID)

PRINT	'[D7] End of Test 3'
SET STATISTICS IO OFF;
GO
/*
-- Messages
[D7] Test 3
Table 'SalesOrderDetail'. Scan count 1, logical reads 1356, physical reads 0, read-ahead reads 12, lob logical reads 0, lob physical reads 0, lob read-ahead reads 0.
[D7] End of Test 3
*/

EXEC sp_tableoption N'Sales.SalesOrderDetail','large value types out of row','OFF';
GO
ALTER TABLE Sales.SalesOrderDetail
DROP COLUMN Info;
GO
ALTER TABLE Sales.SalesOrderDetail
REBUILD;
GO
