USE AdventureWorks2008R2;
GO
/*
CREATE PROCEDURE Sales.spTest
AS
SELECT	soh.SalesOrderID
FROM	Sales.SalesOrderHeader soh 
WHERE	soh.ShipDate>='20070101';
GO
EXEC Sales.spTest;
GO
*/

SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED;

WITH XMLNAMESPACES
(
	DEFAULT 'http://schemas.microsoft.com/sqlserver/2004/07/showplan'
)
SELECT	TOP(10)
		pl.dbid, 
		DB_NAME(pl.dbid) AS database_name,
		pl.objectid, 
		QUOTENAME(OBJECT_SCHEMA_NAME(pl.objectid,pl.dbid))+'.'+QUOTENAME(OBJECT_NAME(pl.objectid,pl.dbid)) AS object_name,
		pl.query_plan,
		src.text AS source_code,
		cp.usecounts,
		cp.size_in_bytes,
		GETDATE() AS snapshot_createdate
--INTO	AltaBazaDeDate.dbo.SnapshotMissingIndex
FROM	sys.dm_exec_cached_plans cp
CROSS APPLY sys.dm_exec_query_plan(cp.plan_handle) pl
CROSS APPLY sys.dm_exec_sql_text(cp.plan_handle) src
WHERE	pl.query_plan.exist('//MissingIndexes')=1
-- AND	pl.objectid=OBJECT_ID(N'Sales.spTest')
ORDER BY cp.usecounts DESC;

SET TRANSACTION ISOLATION LEVEL READ COMMITTED;

